//Biblioteka funkcji obsługujących AJAX do książki
//"AJAX. 101 praktycznyc skryptów"
//autor Marcin Lis, Wydawnictwo Helion, Gliwice 2008

function getXMLHttpRequestObject()
{
  try{
    return new XMLHttpRequest();
  }
  catch(e){
    try{
      return new ActiveXObject("Microsoft.XMLHTTP");
    }
    catch(e){
      return false;
    }
  }
}

function startGETRequest(url)
{  
  var XMLHttpRequestObject = getXMLHttpRequestObject();

  if(XMLHttpRequestObject){
    XMLHttpRequestObject.open("GET", url);
    XMLHttpRequestObject.onreadystatechange = function()
    {
      if (XMLHttpRequestObject.readyState == 4){
        if(XMLHttpRequestObject.status == 200){
          var responseXML = XMLHttpRequestObject.responseXML;
          var responseText = XMLHttpRequestObject.responseText;
          requestCompleted(responseText, responseXML);
        }
        requestEnd();
      }
    }
    XMLHttpRequestObject.send(null);
  }
}
